#include <iostream>
using namespace std;

int main() {
    int n, l;
    
    cin >> n >> l;

    int h[1000];
    
    for (int i=0;i<n;i++) {
    	
        cin >>h[i];
    }

    int res=-1;
    for (int i=0;i<n;i++) {
    	
        if (h[i] <= l) {
            res=i+1;
            break;
        }
    }

    cout <<res<< endl;
    return 0;
}